Bug 186571 - Complex text handling should opt out of bounded text layout.
Summary: Complex text handling should opt out of bounded text layout.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-12 11:47 PDT by zalan
Modified: 2018-07-26 13:29 PDT (History)
12 users (show)

See Also:


Attachments
Patch (14.30 KB, patch)
2018-06-12 11:50 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (14.18 KB, patch)
2018-06-12 19:19 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (1.31 KB, patch)
2018-06-15 11:04 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews205 for win-future (12.76 MB, application/zip)
2018-06-15 13:02 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2018-06-12 11:47:10 PDT
<rdar://problem/40801429>
Comment 1 zalan 2018-06-12 11:50:43 PDT
Created attachment 342573 [details]
Patch
Comment 2 WebKit Commit Bot 2018-06-12 14:14:10 PDT
Comment on attachment 342573 [details]
Patch

Clearing flags on attachment: 342573

Committed r232774: <https://trac.webkit.org/changeset/232774>
Comment 3 WebKit Commit Bot 2018-06-12 14:14:11 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2018-06-12 14:15:24 PDT
<rdar://problem/41060908>
Comment 5 Ryan Haddad 2018-06-12 17:37:54 PDT
Reverted r232774 for reason:

Breaks internal builds.

Committed r232784: <https://trac.webkit.org/changeset/232784>
Comment 6 zalan 2018-06-12 19:19:12 PDT
Created attachment 342621 [details]
Patch
Comment 7 WebKit Commit Bot 2018-06-12 19:59:27 PDT
Comment on attachment 342621 [details]
Patch

Clearing flags on attachment: 342621

Committed r232787: <https://trac.webkit.org/changeset/232787>
Comment 8 WebKit Commit Bot 2018-06-12 19:59:28 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Darin Adler 2018-06-12 22:38:07 PDT
Comment on attachment 342621 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342621&action=review

> Source/WebCore/platform/graphics/mac/ComplexTextControllerCoreText.mm:147
> +#if (PLATFORM(MAC) && __MAC_OS_X_VERSION_MIN_REQUIRED == 101400) || (PLATFORM(IOS) && __IPHONE_OS_VERSION_MIN_REQUIRED == 120000)

How can == be right here? Surely it should be >= instead.

I think need to update CoreTextSPI.h so people without access to CoreTextPriv.h can build on macOS Mojave and newer.

Also, I wasn’t able to build locally; maybe that means I need an updated version of the Apple internal headers. I didn’t see any announcement about that for Apple engineers.
Comment 10 Jonathan Bedard 2018-06-15 11:04:00 PDT
Reopening to attach new patch.
Comment 11 Jonathan Bedard 2018-06-15 11:04:01 PDT
Created attachment 342829 [details]
Patch
Comment 12 Jonathan Bedard 2018-06-15 11:07:30 PDT
A few notes: Darin is right, we need to update CoreTextSPI. This will also break building on Seed 1, I'm verifying this fix with Seed 2. I talked with Zalan this morning, the '==' is right, at least for the time being.  See Ryan's rollout.
Comment 13 Jonathan Bedard 2018-06-15 12:49:01 PDT
Comment on attachment 342829 [details]
Patch

Verified this on Seed 2
Comment 14 Build Bot 2018-06-15 13:02:21 PDT
Comment on attachment 342829 [details]
Patch

Attachment 342829 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/8201362

New failing tests:
http/tests/preload/onload_event.html
Comment 15 Build Bot 2018-06-15 13:02:32 PDT
Created attachment 342838 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 16 Jonathan Bedard 2018-06-15 14:09:41 PDT
Comment on attachment 342829 [details]
Patch

Tree is red for Windows tests, landing.
Comment 17 WebKit Commit Bot 2018-06-15 14:36:09 PDT
Comment on attachment 342829 [details]
Patch

Clearing flags on attachment: 342829

Committed r232894: <https://trac.webkit.org/changeset/232894>
Comment 18 WebKit Commit Bot 2018-06-15 14:36:11 PDT
All reviewed patches have been landed.  Closing bug.
Comment 19 Daniel Bates 2018-07-26 13:29:36 PDT
(In reply to Jonathan Bedard from comment #12)
> I talked with Zalan this morning, the '==' is right, at least for the time being.

Are you or Zalan able to explain why "==" is correct?